Page 1 of 1

[solved] Error when using python-osc

Posted: Fri Aug 14, 2015 10:39 pm
by tsaG
Hi,

I would like to use python-osc but I get the following error either by installing it manual or using pip

Code: Select all

 File "/usr/local/lib/python3.2/dist-packages/pythonosc/dispatcher.py", line 53
    yield from handlers
             ^
SyntaxError: invalid syntax
As you can see, it is in this file. -> https://github.com/attwad/python-osc/bl ... patcher.py

Am I the only one who cant get it to work? It has been edited 4 month ago and I couldnt find anyone complaining about it so I thought it is me.

Thanks!

EDIT: It works with Python 3.4 :)

Re: [solved] Error when using python-osc

Posted: Tue Jul 05, 2016 10:59 pm
by ubuntourist
If anyone is looking for a Python 2 version, I've forked one.

The code can be found at: https://github.com/kjcole/python2-osc
forked (and, I hope, improved) from: https://github.com/mwicat/python2-osc